routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

    Route::get('/home', 'HomeController@index')->name('Home');

    Route::group(['middleware' => ['isAdmin', 'auth']], function() {
        Route::resource('users', 'UserController');
        Route::resource('roles', 'RoleController');
        Route::resource('permissions', 'PermissionController');
        Route::resource('keywords', 'KeywordController');
        Route::resource('industry', 'IndustryController');
    });

    Route::resource('blogs', 'BlogController')->middleware('auth');
    Route::get('/blogs/list', 'BlogController@show')->name('blogs.bloglist')->middleware('auth');
    Route::post('/blogs/searchresult','BlogController@blog_search')->name('blogs.searchresult');
    Route::post('/blogs/add_to_cart','BlogController@add_to_cart')->name('blogs.add_to_cart');
    Route::post('/blogs/add_to_cart_update','BlogController@add_to_cart_update')->name('blogs.add_to_cart_update');
    Route::get('/cart','BlogController@cart')->name('blog.cart')->middleware('auth');
    Route::post('/cart_update','BlogController@cart_update')->name('blog.cart_update');
    Route::post('/cart_delete','BlogController@cart_delete')->name('blog.cart_delete');
    Route::get('/checkout','BlogController@checkout')->name('blog.checkout')->middleware('auth');

    Route::resource('orders', 'OrderController')->middleware('auth');
    //   Route::post('/orders/update/{id}', 'OrderController@update')->name('orders.update');

    Route::get('paywithpaypal', array('as' => 'addmoney.paywithpaypal','uses' => 'AddMoneyController@payWithPaypal',));
    Route::post('paypal', array('as' => 'addmoney.paypal','uses' => 'AddMoneyController@postPaymentWithpaypal',));
    Route::get('paypal', array('as' => 'payment.status','uses' => 'AddMoneyController@getPaymentStatus',));

resources/views/layouts/backend/app.blade.php
<!DOCTYPE html>
<html>
@include('layouts.backend.head')
<body>
@include('layouts.backend.header')
@if(Session::has('flash_message'))
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-push-3">
                <div class="alert alert-success"><em> {!! session('flash_message') !!}</em>
                </div>
            </div>
        </div>
    </div>
@endif

@if(Session::has('flash_error_message'))
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-push-3">
                <div class="alert alert-danger"><em> {!! session('flash_error_message') !!}</em>
                </div>
            </div>
        </div>
    </div>
@endif

@if ($message = Session::get('success'))

    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-push-3">
                <div class="custom-alerts alert alert-success fade in">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true"></button>
                    {!! $message !!}
                </div>
                <?php Session::forget('success');?>

            </div>
        </div>
    </div>

@endif

@if ($message = Session::get('error'))

    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-push-3">
                <div class="custom-alerts alert alert-danger fade in">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true"></button>
                    {!! $message !!}
                </div>
                <?php Session::forget('error');?>
            </div>
        </div>
    </div>

@endif

@if (count($errors) > 0)
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-push-3">
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            </div>
        </div>
    </div>
@endif
@include('layouts.backend.nav')


@yield('section')
@include('layouts.backend.script')
@yield('script')
</body>
</html>

resources/views/layouts/backend/head.blade.php
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{{ config('app.name', 'Laravel') }}</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.7 -->
    <link rel="stylesheet" href="{{asset('backend/css/bootstrap.min.css')}}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{asset('backend/css/font-awesome/css/font-awesome.min.css')}}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="{{asset('backend/css/ionicons.min.css') }}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{asset('backend/css/AdminLTE.min.css')}}">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="{{asset('backend/css/_all-skins.min.css') }}">
    <!-- Morris chart -->
    <link rel="stylesheet" href="{{asset('backend/css/morris.css') }}">
    <!-- jvectormap -->
    <link rel="stylesheet" href="{{ asset('backend/css/jquery-jvectormap.css')}}">
    <!-- Date Picker -->
    <link rel="stylesheet" href="{{asset('backend/css/bootstrap-datepicker.min.css') }}">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="{{ asset('backend/css/daterangepicker.css') }}">
    <link rel="stylesheet" href="{{ asset('backend/iCheck/all.css') }}">
    <link rel="stylesheet" href="{{ asset('backend/css/select2.min.css') }}">

    <!-- bootstrap wysihtml5 - text editor -->
    <link rel="stylesheet" href="{{asset('backend/css/bootstrap3-wysihtml5.min.css') }}">

    <link rel="stylesheet" href="{{asset('backend/css//dataTables.bootstrap.min.css') }}">

    <link rel="stylesheet" href="{{ asset('backend/css/custom.css') }}">
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- Google Font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>

resources/views/layouts/backend/header.blade.php
<style>
.fa.fa-shopping-cart{
    position: absolute;
    right: 0px;
    top: 0px;
    padding: 9px 12px 7px 10px;
    background: red;
    height: 100%;
    font-size: 130%;
}
.add-to-cart{
    transition: 0.4s;
    color: #fff;
    background-color: #303030;
    text-transform: uppercase;
    position: relative;
    padding-right: 52px
}
</style>

<header class="main-header">


    <!-- Logo -->
    <a href="{{route('Home')}}" class="logo">
        <!-- mini logo for sidebar mini 50x50 pixels -->
        <span class="logo-mini"><b>A</b>LT</span>
        <!-- logo for regular state and mobile devices -->
        <span class="logo-lg"><b>Guest Posting</b> Portal</span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
        <!-- Sidebar toggle button-->
        <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
            <span class="sr-only">Toggle navigation</span>
        </a>

        <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">

                @hasrole('admin')

                @else
                    <li style="margin-top:10px">
                        {{-- <form method="post" enctype="multipart/form-data" action="{{route('blog.cart')}}" >
                        {{ csrf_field() }} --}}
                        <input type="hidden" name="url" class="on-load-url" value="{{url('/blogs/add_to_cart_update')}}"/>
                        <a href="{{route('blog.cart')}}"  class="add-to-cart" >
                            <i class="fa fa-shopping-cart" aria-hidden="true"></i> <span class="cart-detail"> </span> item(s)
                        </a>
                        {{-- </form> --}}
                    </li>
                @endrole



                <li class="dropdown user user-menu">
                </h1>
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <img src="{{asset('backend/img/user2-160x160.jpg') }}" class="user-image" alt="User Image">
                        <span class="hidden-xs">{{strtoupper(Auth::user()->name) }}</span>
                    </a>
                    <ul class="dropdown-menu">
                        <!-- User image -->
                        <li class="user-header">
                            <img src="{{asset('backend/img/user2-160x160.jpg') }}" class="img-circle" alt="User Image">

                            <p class="custom-user-header">
                                 {{ ucfirst(Auth::user()->name)  }}
                                <small>Member since {{ \Carbon\Carbon::parse(Auth::user()->created_at)->format(' F. Y') }}</small>
                            </p>
                        </li>
                        <!-- Menu Body -->
                        {{--                        <li class="user-body">--}}
                        {{--                            <div class="row">--}}
                        {{--                                <div class="col-xs-4 text-center">--}}
                        {{--                                    <a href="#">Followers</a>--}}
                        {{--                                </div>--}}
                        {{--                                <div class="col-xs-4 text-center">--}}
                        {{--                                    <a href="#">Sales</a>--}}
                        {{--                                </div>--}}
                        {{--                                <div class="col-xs-4 text-center">--}}
                        {{--                                    <a href="#">Friends</a>--}}
                        {{--                                </div>--}}
                        {{--                            </div>--}}
                            <!-- /.row -->
                        </li>
                        <!-- Menu Footer-->
                        <li class="user-footer">
{{--                            <div class="pull-left">--}}
{{--                                <a href="#" class="btn btn-default btn-flat">Profile</a>--}}
{{--                            </div>--}}
                            <div class="pull-right">
                            <a  class="btn btn-default btn-flat" href="{{ route('logout') }}"
                               onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                Logout
                            </a>

                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                {{ csrf_field() }}
                            </form>

                            </div>
                        </li>
                    </ul>
                </li>
                <!-- Control Sidebar Toggle Button -->
{{--                <li>--}}
{{--                    <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>--}}
{{--                </li>--}}
            </ul>
        </div>
    </nav>
</header>

resources/views/layouts/backend/nav.blade.php
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="pull-left image">
                <img src="{{asset('backend/img/user2-160x160.jpg') }}" class="img-circle" alt="User Image">
            </div>
            <div class="pull-left info">
                <p>{{strtoupper(Auth::user()->name) }}</p>
                <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
            </div>
        </div>
        <!-- search form -->
        <form action="#" method="get" class="sidebar-form">
            <div class="input-group">
                <input type="text" name="q" class="form-control" placeholder="Search...">
                <span class="input-group-btn">
                <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                </button>
              </span>
            </div>
        </form>
        <!-- /.search form -->
        <!-- sidebar menu: : style can be found in sidebar.less -->


        <ul class="sidebar-menu" data-widget="tree">
            <li class="header">MAIN NAVIGATION</li>
            @hasrole('admin')
            <li class="active treeview">
                <a href="#">
                    <i class="fa fa-user"></i> <span>User</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li class="active"><a href="{{route('users.index')}}"><i class="fa fa-circle-o"></i> All User</a>
                    </li>
                    <li><a href="{{route('users.create')}}"><i class="fa fa-circle-o"></i> Add User</a></li>
                </ul>
            </li>

            <li class="treeview">
                <a href="#">
                    <i class="fa fa-users"></i> <span>Roles</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li class=""><a href="{{ route('roles.index')}}"><i class="fa fa-circle-o"></i> All Roles</a></li>
                    <li><a href="{{route('roles.create')}}"><i class="fa fa-circle-o"></i> Add Role</a></li>
                </ul>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-key"></i> <span>Permissions</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li class=""><a href="{{route('permissions.index')}}"><i class="fa fa-circle-o"></i> All Permissions</a>
                    </li>
                    <li><a href="{{route('permissions.create')}}"><i class="fa fa-circle-o"></i> Add Permission</a></li>
                </ul>
            </li>


            <li class="treeview">
                <a href="#">
                    <i class="fa fa-font"></i><span>Keywords</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li class=""><a href="{{route('keywords.index')}}"><i class="fa fa-circle-o"></i> All Keywords</a>
                    </li>
                    <li><a href="{{route('keywords.create')}}"><i class="fa fa-circle-o"></i> Add keyword</a></li>
                </ul>
            </li>

            <li class="treeview">
                <a href="#">
                    <i class="fa fa-industry"></i><span>Industries</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li class=""><a href="{{route('industry.index')}}"><i class="fa fa-circle-o"></i> All Industries</a>
                    </li>
                    <li><a href="{{route('industry.create')}}"><i class="fa fa-circle-o"></i> Add Industry</a></li>
                </ul>
            </li>
            @endrole
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-sticky-note-o"></i><span>Blogs</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>

                <ul class="treeview-menu">
                    @hasrole('admin')
                        <li><a href="{{route('blogs.create')}}"><i class="fa fa-circle-o"></i> Add Blog</a></li>
                        <li><a href="{{route('blogs.bloglist')}}"><i class="fa fa-circle-o"></i> Blog List</a></li>
                    @else
                        <li class=""><a href="{{route('blogs.index')}}"><i class="fa fa-circle-o"></i> All Blogs</a></li>
                    @endrole

                </ul>

            </li>


            <li class="treeview">
                <a href="#">
                    <i class="ion ion-bag"></i><span>Orders</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    @hasrole('admin')
                    <li class=""><a href="{{route('orders.index')}}"><i class="fa fa-circle-o"></i> All Orders</a></li>
                    @else
                        <li class=""><a href="{{route('orders.index')}}"><i class="fa fa-circle-o"></i> My Orders</a>
                        </li>
                    @endrole
                </ul>
            </li>
        </ul>
    </section>
    <!-- /.sidebar -->
</aside>

resources/views/layouts/backend/script.blade.php
<script src="{{asset('backend/js/jquery.min.js')}}"></script>
<!-- jQuery UI 1.11.4 -->
<script src="{{asset('backend/js/jquery-ui.min.js')}}"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
    $.widget.bridge('uibutton', $.ui.button);
</script>
<!-- Bootstrap 3.3.7 -->
<script src="{{asset('backend/js/bootstrap.min.js') }}"></script>
<!-- Morris.js charts -->
<script src="{{asset('backend/js/raphael.min.js') }}"></script>
<script src="{{asset('backend/js/morris.min.js') }}"></script>
<!-- Sparkline -->
<script src="{{asset('backend/js/jquery.sparkline.min.js')}}"></script>
<!-- jvectormap -->
<script src="{{asset('backend/js/jquery-jvectormap-1.2.2.min.js')}}"></script>
<script src="{{asset('backend/js/jquery-jvectormap-world-mill-en.js') }}"></script>
<!-- jQuery Knob Chart -->
<script src="{{asset('backend/js/jquery.knob.min.js') }}"></script>
<!-- daterangepicker -->
<script src="{{asset('backend/js/moment.min.js') }}"></script>
<script src="{{asset('backend/js/daterangepicker.js') }}"></script>
<!-- datepicker -->
<script src="{{asset('backend/js/select2.full.min.js') }}"></script>
<script src="{{asset('backend/js/bootstrap-datepicker.min.js') }}"></script>
<!-- Bootstrap WYSIHTML5 -->
<script src="{{asset('backend/js/bootstrap3-wysihtml5.all.min.js') }}"></script>

<script src="{{asset('backend/iCheck/icheck.min.js') }}"></script>
<!-- Slimscroll -->
<script src="{{asset('backend/js/jquery.slimscroll.min.js') }}"></script>
<!-- FastClick -->
<script src="{{asset('backend/js/fastclick.js') }}"></script>

<script src="{{asset('backend/js/jquery.dataTables.min.js') }}"></script>
<script src="{{asset('backend/js/dataTables.bootstrap.min.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{asset('backend/js/adminlte.min.js') }}"></script>

<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('backend/js/dashboard.js') }}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{asset('backend/js/demo.js') }}"></script>
<script src="{{asset('js/script.js') }}"></script>